<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
	<script type="text/javascript">
		let Persona=function(nombre,edad){
			// propiedades publicas
			this.nombre=nombre;
			this.edad=edad;

			//metodos publicos
			this.mostrar=function(){
				return "<li>nombre:" + this.nombre + "</li><li>edad: " + this.edad + "</li>";
			}
		};

		let personas=[
			new Persona("ramon",50),
			new Persona("eva",32)
		];

		// recorrer el array de personas con foreach
		personas.forEach((valor)=>{
			document.write(valor.mostrar());
		});

	</script>
</head>
<body>
	
</body>
</html>